# ADMIN - CORE

The admin-core module can be used both as npm(nodejs) and bower(browser) library.  
Examples of use in nodejs env. are located in node_examples folder.  
For example run `node loggerjs` in node_examples folder to see
how `src/logger.impl.js` is working in nodejs.

## Setting up the development environment

1.  Make sure you have Node.js and NPM installed
2.  Install the Grunt Command Line Interface: `npm install -g grunt-cli`
3.  Install the Karma Command Line Interface: `npm install -g karma-cli`
4.  Run `npm rebuild` in project directory.

## Testing

-   Run `grunt test` in project directory to run tests

-   Run `karma start` in project directory to start karma server that will run tests every
    time when source code is changed
        
-   Run `npm run mochaTest <path/pattern>` in project directory to run tests (for development)

## Building

-   Run `grunt test` in project directory to compile project and run tests
-   Run `grunt test --skip=compile` in project directory to run tests
-   Run `grunt` or `grunt report` in project directory to build dependencies, run tests and reports
-   Run `grunt --skip=compile,test` or `grunt report --skip=compile,test` in project directory to run report without building project and without running tests,

## Updating dependencies

Dependencies (`node_modules` dir) are kept in source control. When adding a new dependency to
`package.json`, after editing the file run

```bash
npm install --ignore-scripts
```

Commit new files that land in `node_modules`, then run:

```bash
npm rebuild
```

Then, if dependency has any native extensions to compile, they will be compiled. Check if you have some
files that git sees as "untracked" - these are likely build artifacts - and ignore them via editing `.gitignore`
