var fs = require('fs');
var ims2 = require('../src/ims2');
var unzipper = require('../src/unzipper');

fs.readFile('./resources/file.ims2', function (err, data) {
    if (err) throw err;

    ims2.readAsync(toArrayBuffer(data), {
        onComplete: function (ims2) {
            console.log('ALL DONE');
            console.log('*********************************');
        },
        onReadFrame: function (frame) {
        },
        onReset: function (reset) {
            console.log('Reset');
            console.log(reset);
            console.log('*********************************');
        },
        onUpdate: function (update) {
            console.log('Update');
            console.log(update);

            console.log('Removed distName');
            console.log(update.change.removed);
            update.change.removed.forEach(function (distName) {
                console.log(distName);
            });

            console.log('Updated distName');
            update.change.updated.forEach(function (managedObject) {
                console.log(managedObject.distName);
            });
            console.log('*********************************');
        },
        onMetaBuffer: function (metaBuffer) {
            console.log('MetaBuffer');
            var instance = unzipper.newInstance(metaBuffer);
            instance.unzipAll(function (metaFileName, metaContentAsString) {

                console.log(metaContentAsString);

            }, {resultAsString: true});
            console.log('*********************************');
        },
        onReadBytes: function (procedureTitle, readCount, totalCount) {
        }
    });
});

function toArrayBuffer(nodeBuffer) {
    return new Uint8Array(nodeBuffer).buffer;
}
