# -*- coding: utf-8 -*-
"""
:copyright: NOKIA
:author: Cezary Miącz
:contact: cezary.miacz@nokia.com
"""

from time import sleep
from websocket import WebSocketServer

testingClient = None
adminClient = None

def handle_client_mesage(msg):
    if msg is not None:
        print "Received message ({} bytes) from client: {}".format(len(msg), msg if len(msg) < 100 else "")
        adminClient.send(msg)
        print "Message sent to admin."

def handle_admin_mesage(msg):
    if msg is not None:
        print "Received message ({} bytes) from admin: {}".format(len(msg), msg if len(msg) < 100 else "")
        testingClient.send(msg)
        print "Message sent to testing client."

if __name__ == "__main__":
    print "Starting server ..."
    server = WebSocketServer()
    server.start(38934)
    print "Server started."
    try:
        testingClient = server.accept(60*5)
        testingClient.register_callbacks(on_message=handle_client_mesage)
        testingClient.connect()
        print "testing client connected."

        adminClient = server.accept(60*5)
        adminClient.register_callbacks(on_message=handle_admin_mesage)
        adminClient.connect()
        print "admin client connected."

        while testingClient.connected and adminClient.connected:
            sleep(1)

    except (KeyboardInterrupt, SystemExit):
        pass

