const _ = require('lodash');

module.exports = Object.freeze({
    findLncel: findLncel,
    findCorrectLnadj: findCorrectLnadj,
    findCorrectLnrel: findCorrectLnrel
});

function findLncel(lncel, validationData) {
    const localCells = validationData.localCellValidations;
    let found = null;
    _.each(localCells, (localCell) => {
        if (localCell.localCell.distName === lncel.distName)
            found = localCell;
    });
    return found;
}

function findCorrectLnadj(lnrel, technology) {
    const relations = technology.relationStatuses.corrects;
    const cells = technology.cellStatuses.corrects;
    let found = null;
    _.each(relations, (relation) => {
        if (relation.distName === lnrel.distName)
            _.each(cells, (cell) => {
                if (relation.matchingCell === cell.distName)
                    found = cell;
            });
    });
    return found;
}

function findCorrectLnrel(lnadj, technology) {
    const relations = technology.relationStatuses.corrects;
    const cells = technology.cellStatuses.corrects;
    let found = null;
    _.each(cells, (cell) => {
        if (cell.distName === lnadj.distName)
            _.each(relations, (relation) => {
                if (cell.distName === relation.matchingCell)
                    found = relation;
            });
    });
    return found;
}
