module.exports = getCellsAction;

function getCellsAction({
    onlineImTree,
    adjacencyValidation
    }) {
    return {
        execute
    };

    function execute(msgData, resolve, reject) {
        onlineImTree.getImTree()
            .then((imTree) => {
                const validationDate = adjacencyValidation.validateAdjacencies(imTree);
                if (!validationDate.localCellValidations.length)
                    reject('No local cells with any relations was found.');
                else
                    resolve(validationDate.localCellValidations
                            .map((cell) => {
                                const returnObject = {};
                                returnObject[`${cell.localCell.className}-${cell.localCell.id}`] = `PCI-${cell.localCell.getDecodedParameters().phyCellId}`;
                                return returnObject;
                            })
                    );
            })
            .catch(reason => reject(reason.message));
    }
}
