const adminApiStatuses = require('../adminApiStatuses');

const STATEINFO_NOT_FOUN = 'State info not found';
const OBJECT_NOT_FOUND = 'Object not found';

module.exports = softwareInfoProcedure;

function softwareInfoProcedure({
    onlineImTree,
    connectionService,
    connectionInitializer = require('../connectionInitializer')(onlineImTree, connectionService)
    }) {

    return {
        execute: execute
    };

    var msgCompletionListener;
    var msgData;

    function sendState(imTree) {
        const node = imTree.findByDistName(msgData.parameters.distName);
        if (!node)
            return Promise.reject(OBJECT_NOT_FOUND);
        else {
            const stateInfo = node.getDecodedParameters().stateInfo;
            if (!stateInfo)
                return Promise.reject(STATEINFO_NOT_FOUN);
            else
                msgCompletionListener(adminApiStatuses.COMPLETED, stateInfo);
        }
    }

    function execute(data, completionListener) {
        msgData = data;
        msgCompletionListener = completionListener;

        return connectionInitializer.connectToBts()
            .prepare()
            .then(function () {
                return onlineImTree.getImTree().then(sendState);
            }).catch(function (error) {
                msgCompletionListener(adminApiStatuses.FAILED, error.toString());
                return Promise.reject(error);
            });
    }
}
