module.exports = snapshotFileSaver;

const ADMIN_API_STATUSES = require('../adminApiStatuses');

function snapshotFileSaver() {
    var listener = null;
    var aborted;

    return {
        saveAs: saveAs,
        failure: failure,
        setListener: setListener,
        setAborted: setAborted
    };

    function saveAs(file) {
        if (listener && !aborted) {
            const base64File = new Buffer(file, 'binary').toString('base64');
            listener(ADMIN_API_STATUSES.COMPLETED, base64File);
            listener = null;
        }
    }

    function failure(message) {
        if (listener)
            listener(ADMIN_API_STATUSES.FAILED, message);
        listener = null;
    }

    function setListener(completionListener) {
        aborted = false;
        listener = completionListener;
    }

    function setAborted() {
        aborted = true;
    }
}
