module.exports = {
    getBrowserInfo,
    getAppName,
    getAppVersion,
    getBuildTime,
    getReleaseInfo,
    hasAppInfo
};

const _ = require('lodash');

function getBrowserInfo() {
    return window.navigator.userAgent;
}

function hasAppInfo() {
    return getAppName() && getAppVersion();
}

function getAppName() {
    return _.get(global, ['APPLICATION_INFO', 'name']);
}

function getAppVersion() {
    return _.get(global, ['APPLICATION_INFO', 'version']);
}

function getReleaseInfo() {
    const releaseInfo = {};
    releaseInfo.branch = _.get(global, ['APPLICATION_INFO', 'branch']) || 'unknown';
    releaseInfo.hash = _.get(global, ['APPLICATION_INFO', 'hash']) || 'unknown';
    return releaseInfo;
}

function getBuildTime() {
    return _.get(global, ['APPLICATION_INFO', 'buildTime']);
}
