const Rusha = require('rusha');

var ruShaInstance = new Rusha();

function arrayEquals(expectedCheckSum, calculatedCheckSum) {
    if (expectedCheckSum.byteLength !== calculatedCheckSum.byteLength) {
        return false;
    }
    for (var n = 0; n < expectedCheckSum.byteLength; n++) {
        if (expectedCheckSum[n] !== calculatedCheckSum[n]) {
            return false;
        }
    }
    return true;
}

function calculateCheckSum(file) {
    return convertToUint8Array(ruShaInstance.rawDigest(file));

    function convertToUint8Array(array) {
        return new Uint8Array(array.buffer);
    }
}

function isCheckSumCorrect(file, expectedChecksum) {
    var calculatedCheckSum = calculateCheckSum(file);
    return arrayEquals(expectedChecksum, calculatedCheckSum);
}

module.exports = {
    isCheckSumCorrect: isCheckSumCorrect,
    calculateCheckSum: calculateCheckSum
};
