/*
 definition generated by proto2js
 steps to generate json:
 1) npm install -g protobufjs
 2) goto resources
 3) execute in terminal: pbjs xxx.proto >> xxx.json
 4) copy/past xxx.json content to definition var
 */

var definition = {
    'package': 'nokia.im.gateway.v2',
    'messages': [
        {
            "name": "LoginRequest",
            "fields": [
                {
                    "rule": "required",
                    "type": "string",
                    "name": "login",
                    "id": 1
                },
                {
                    "rule": "required",
                    "type": "AuthMethod",
                    "name": "authMethod",
                    "id": 2
                },
                {
                    "rule": "required",
                    "type": "string",
                    "name": "token",
                    "id": 3
                },
                {
                    "rule": "required",
                    "type": "SessionType",
                    "name": "sessionType",
                    "id": 4
                },
                {
                    "rule": "required",
                    "type": "string",
                    "name": "clientVersion",
                    "id": 5
                },
                {
                    "rule": "required",
                    "type": "string",
                    "name": "clientId",
                    "id": 6
                },
                {
                    "rule": "optional",
                    "type": "uint32",
                    "name": "updateInterval",
                    "id": 7
                }
            ],
            "enums": [
                {
                    "name": "AuthMethod",
                    "values": [
                        {
                            "name": "SHA1",
                            "id": 1
                        },
                        {
                            "name": "PLAIN_TEXT",
                            "id": 2
                        }
                    ]
                }
            ]
        },
        {
            "name": "LoginSuccessResponse",
            "fields": [
                {
                    "rule": "required",
                    "type": "string",
                    "name": "profile",
                    "id": 1
                },
                {
                    "rule": "optional",
                    "type": "string",
                    "name": "username",
                    "id": 2
                },
                {
                    "rule": "optional",
                    "type": "uint32",
                    "name": "failedLoginNo",
                    "id": 3
                },
                {
                    "rule": "optional",
                    "type": "string",
                    "name": "lastSuccess",
                    "id": 4
                }
            ]
        },
        {
            "name": "LoginErrorResponse",
            "fields": [
                {
                    "rule": "required",
                    "type": "int32",
                    "name": "errorCode",
                    "id": 1
                },
                {
                    "rule": "optional",
                    "type": "string",
                    "name": "description",
                    "id": 2
                }
            ]
        },
        {
            'name': 'FileServiceGetRequest',
            'fields': [
                {
                    'rule': 'required',
                    'type': 'uint32',
                    'name': 'requestId',
                    'id': 1
                },
                {
                    'rule': 'required',
                    'type': 'string',
                    'name': 'uri',
                    'id': 2
                }
            ]
        },
        {
            'name': 'FileServiceFileContentResponse',
            'fields': [
                {
                    'rule': 'optional',
                    'type': 'uint32',
                    'name': 'requestId',
                    'id': 1
                },
                {
                    'rule': 'required',
                    'type': 'bytes',
                    'name': 'content',
                    'id': 2
                },
                {
                    'rule': 'required',
                    'type': 'bytes',
                    'name': 'hash',
                    'id': 3
                }
            ]
        },
        {
            'name': 'FileServiceErrorResponse',
            'fields': [
                {
                    'rule': 'optional',
                    'type': 'uint32',
                    'name': 'requestId',
                    'id': 1
                },
                {
                    'rule': 'required',
                    'type': 'uint32',
                    'name': 'errorCode',
                    'id': 2
                },
                {
                    'rule': 'required',
                    'type': 'string',
                    'name': 'description',
                    'id': 3
                }
            ]
        },
        {
            'name': 'DiagnosticSessionSetupRequest',
            'fields': [
                {
                    'rule': 'required',
                    'type': 'Command',
                    'name': 'command',
                    'id': 1
                },
                {
                    'rule': 'required',
                    'type': 'string',
                    'name': 'parameters',
                    'id': 2
                }
            ],
            'enums': [
                {
                    'name': 'Command',
                    'values': [
                        {
                            'name': 'PING',
                            'id': 1
                        },
                        {
                            'name': 'TRACEROUTE',
                            'id': 2
                        },
                        {
                            'name': 'NETSTAT',
                            'id': 3
                        },
                        {
                            'name': 'ARP',
                            'id': 4
                        },
                        {
                            'name': 'IPSEC_SHORT',
                            'id': 5
                        },
                        {
                            'name': 'IPSEC_DETAILS',
                            'id': 6
                        },
                        {
                            'name': 'IPSEC_CONF',
                            'id': 7
                        },
                        {
                            'name': 'NTP_CONNECTION',
                            'id': 8
                        },
                        {
                            'name': 'IP_NEIGH_SHOW',
                            'id': 9
                        },
                        {
                            'name': 'IP_RO_LS',
                            'id': 10
                        },
                        {
                            'name': 'IP_ADDR_SHOW',
                            'id': 11
                        },
                        {
                            'name': 'IFCONFIG_A',
                            'id': 12
                        },
                        {
                            'name': 'DF',
                            'id': 13
                        }
                    ]
                }
            ]
        },
        {
            'name': 'DiagnosticSessionRejectResponse',
            'fields': [
                {
                    'rule': 'required',
                    'type': 'string',
                    'name': 'reason',
                    'id': 1
                }
            ]
        },
        {
            'name': 'DiagnosticSessionData',
            'fields': [
                {
                    'rule': 'required',
                    'type': 'string',
                    'name': 'line',
                    'id': 1
                }
            ]
        },
        {
            "name": "GetGatewayInformationResp",
            "fields": [
                {
                    "rule": "required",
                    "type": "Endianness",
                    "name": "endianness",
                    "id": 1
                },
                {
                    "rule": "required",
                    "type": "string",
                    "name": "embeddedAdminVersion",
                    "id": 2
                },
                {
                    "rule": "required",
                    "type": "string",
                    "name": "embeddedAdminId",
                    "id": 3
                },
                {
                    "rule": "required",
                    "type": "uint32",
                    "name": "imiVersionMajor",
                    "id": 4
                },
                {
                    "rule": "required",
                    "type": "uint32",
                    "name": "imiVersionMinor",
                    "id": 5
                },
                {
                    "rule": "optional",
                    "type": "fixed32",
                    "name": "imServiceSicad",
                    "id": 6
                },
                {
                    "rule": "required",
                    "type": "string",
                    "name": "imProtocolRelease",
                    "id": 7
                },
                {
                    "rule": "required",
                    "type": "uint32",
                    "name": "imProtocolVersionMajor",
                    "id": 8
                },
                {
                    "rule": "required",
                    "type": "uint32",
                    "name": "imProtocolVersionMinor",
                    "id": 9
                }
            ],
            "enums": [
                {
                    "name": "Endianness",
                    "values": [
                        {
                            "name": "BIG",
                            "id": 1
                        },
                        {
                            "name": "LITTLE",
                            "id": 2
                        }
                    ]
                }
            ]
        },
        {
            "name": "SessionsListResp",
            "fields": [
                {
                    "rule": "repeated",
                    "type": "Session",
                    "name": "sessions",
                    "id": 1
                }
            ]
        },
        {
            "name": "Session",
            "fields": [
                {
                    "rule": "optional",
                    "type": "string",
                    "name": "userLogin",
                    "id": 1
                },
                {
                    "rule": "optional",
                    "type": "string",
                    "name": "profileName",
                    "id": 2
                },
                {
                    "rule": "optional",
                    "type": "string",
                    "name": "clientVersion",
                    "id": 3
                },
                {
                    "rule": "optional",
                    "type": "ConnectionType",
                    "name": "connectionType",
                    "id": 4
                },
                {
                    "rule": "optional",
                    "type": "SessionType",
                    "name": "sessionType",
                    "id": 5
                },
                {
                    "rule": "optional",
                    "type": "uint32",
                    "name": "age",
                    "id": 6
                },
                {
                    "rule": "optional",
                    "type": "string",
                    "name": "ip",
                    "id": 7
                },
                {
                    "rule": "optional",
                    "type": "string",
                    "name": "sessionId",
                    "id": 8
                }
            ],
            "enums": [
                {
                    "name": "ConnectionType",
                    "values": [
                        {
                            "name": "tcp",
                            "id": 1
                        },
                        {
                            "name": "http",
                            "id": 2
                        },
                        {
                            "name": "websocket",
                            "id": 3
                        }
                    ]
                }
            ]
        }
    ],
    enums: [
        {
            name: 'SessionType',
            values: [
                {
                    name: 'PLAIN',
                    id: 1
                },
                {
                    name: 'INFO_MODEL',
                    id: 2
                },
                {
                    name: 'SOFTWARE_UPDATE',
                    id: 3
                }
            ]
        }
    ]
};

module.exports = definition;
