/*
 definition generated by proto2js
 steps to generate json:
 1) npm install -g protobufjs
 2) goto resources/imi
 3) execute in terminal: pbjs xxx.proto >> xxx.json
 4) copy/past xxx.json content to definition var
 */

var definition = {
    'package': 'imi.v9',
    'options': {
        'optimize_for': 'LITE_RUNTIME'
    },
    'messages': [
        {
            'name': 'object_t',
            'fields': [
                {
                    'rule': 'required',
                    'type': 'object_info_t',
                    'name': 'object_info',
                    'id': 1
                },
                {
                    'rule': 'optional',
                    'type': 'bytes',
                    'name': 'payload',
                    'id': 2
                }
            ]
        },
        {
            'name': 'object_info_t',
            'fields': [
                {
                    'rule': 'optional',
                    'type': 'object_create_info_t',
                    'name': 'object_create_info',
                    'id': 1
                },
                {
                    'rule': 'required',
                    'type': 'bytes',
                    'name': 'object_id',
                    'id': 2
                },
                {
                    'rule': 'required',
                    'type': 'uint32',
                    'name': 'object_type',
                    'id': 3
                }
            ]
        },
        {
            'name': 'object_create_info_t',
            'fields': [
                {
                    'rule': 'optional',
                    'type': 'uint32',
                    'name': 'instance_id',
                    'id': 1
                },
                {
                    'rule': 'optional',
                    'type': 'bytes',
                    'name': 'parent_id',
                    'id': 2
                }
            ]
        },
        {
            'name': 'operation_t',
            'fields': [
                {
                    'rule': 'required',
                    'type': 'EOperationType',
                    'name': 'operation_type',
                    'id': 1
                },
                {
                    'rule': 'required',
                    'type': 'object_t',
                    'name': 'object',
                    'id': 2
                }
            ],
            'enums': [
                {
                    'name': 'EOperationType',
                    'values': [
                        {
                            'name': 'EOperationType_CREATE',
                            'id': 0
                        },
                        {
                            'name': 'EOperationType_UPDATE',
                            'id': 1
                        },
                        {
                            'name': 'EOperationType_DELETE',
                            'id': 2
                        },
                        {
                            'name': 'EOperationType_EXECUTE',
                            'id': 3
                        },
                        {
                            'name': 'EOperationType_CREATE_WITH_OWNERSHIP',
                            'id': 4
                        }
                    ]
                }
            ]
        },
        {
            'name': 'version_t',
            'fields': [
                {
                    'rule': 'required',
                    'type': 'string',
                    'name': 'release',
                    'id': 1
                },
                {
                    'rule': 'required',
                    'type': 'uint32',
                    'name': 'major',
                    'id': 2
                },
                {
                    'rule': 'required',
                    'type': 'uint32',
                    'name': 'minor',
                    'id': 3
                }
            ]
        },
        {
            'name': 'IMChangeRequest',
            'fields': [
                {
                    'rule': 'optional',
                    'type': 'uint32',
                    'name': 'request_id',
                    'id': 1
                },
                {
                    'rule': 'repeated',
                    'type': 'operation_t',
                    'name': 'operations',
                    'id': 2
                }
            ]
        },
        {
            'name': 'IMOperationExecuted',
            'fields': [
                {
                    'rule': 'required',
                    'type': 'uint32',
                    'name': 'request_id',
                    'id': 1
                },
                {
                    'rule': 'required',
                    'type': 'EExecutionStatus',
                    'name': 'execution_status',
                    'id': 2
                },
                {
                    'rule': 'optional',
                    'type': 'EErrorCode',
                    'name': 'error_code',
                    'id': 3
                }
            ]
        },
        {
            'name': 'IMSignInRequest',
            'fields': [
                {
                    'rule': 'required',
                    'type': 'ERat',
                    'name': 'rat',
                    'id': 1
                },
                {
                    'rule': 'optional',
                    'type': 'uint32',
                    'name': 'update_notification_interval_ms',
                    'id': 2,
                    'options': {
                        'default': 3000
                    }
                },
                {
                    'rule': 'required',
                    'type': 'version_t',
                    'name': 'platform_im_version',
                    'id': 3
                },
                {
                    'rule': 'optional',
                    'type': 'filter_t',
                    'name': 'view',
                    'id': 4
                }
            ],
            'messages': [
                {
                    'name': 'filter_t',
                    'fields': [
                        {
                            'rule': 'repeated',
                            'type': 'uint32',
                            'name': 'subtree_filter',
                            'id': 1
                        },
                        {
                            'rule': 'repeated',
                            'type': 'uint32',
                            'name': 'classname_filter',
                            'id': 2
                        }
                    ]
                }
            ],
            'enums': [
                {
                    'name': 'ERat',
                    'values': [
                        {
                            'name': 'ERat_Platform',
                            'id': 0
                        },
                        {
                            'name': 'ERat_GSM',
                            'id': 1
                        },
                        {
                            'name': 'ERat_WCDMA',
                            'id': 2
                        },
                        {
                            'name': 'ERat_LTE',
                            'id': 3
                        }
                    ]
                }
            ]
        },
        {
            'name': 'IMSignInResult',
            'fields': [
                {
                    'rule': 'required',
                    'type': 'EStatus',
                    'name': 'status',
                    'id': 1
                },
                {
                    'rule': 'required',
                    'type': 'version_t',
                    'name': 'requested_version',
                    'id': 2
                },
                {
                    'rule': 'required',
                    'type': 'version_t',
                    'name': 'supported_version',
                    'id': 3
                }
            ],
            'enums': [
                {
                    'name': 'EStatus',
                    'values': [
                        {
                            'name': 'EStatus_OK',
                            'id': 0
                        },
                        {
                            'name': 'EStatus_ALREADY_SIGNED_IN',
                            'id': 1
                        },
                        {
                            'name': 'EStatus_IM_VERSION_CONFLICT',
                            'id': 2
                        }
                    ]
                }
            ]
        },
        {
            'name': 'IMSignOut',
            'fields': []
        },
        {
            'name': 'IMVersionQuery',
            'fields': []
        },
        {
            'name': 'IMVersionQueryResult',
            'fields': [
                {
                    'rule': 'required',
                    'type': 'version_t',
                    'name': 'supported_version',
                    'id': 1
                }
            ]
        },
        {
            'name': 'IMUpdateNotification',
            'fields': [
                {
                    'rule': 'repeated',
                    'type': 'bytes',
                    'name': 'removed_objects_ids',
                    'id': 1
                },
                {
                    'rule': 'repeated',
                    'type': 'object_t',
                    'name': 'objects',
                    'id': 2
                }
            ]
        },
        {
            'name': 'IMRegisterExecutor',
            'fields': [
                {
                    'rule': 'required',
                    'type': 'uint32',
                    'name': 'request_id',
                    'id': 1
                },
                {
                    'rule': 'repeated',
                    'type': 'uint32',
                    'name': 'object_types',
                    'id': 2
                },
                {
                    'rule': 'repeated',
                    'type': 'bytes',
                    'name': 'object_ids',
                    'id': 3
                }
            ]
        },
        {
            'name': 'IMExecutorRegistered',
            'fields': [
                {
                    'rule': 'required',
                    'type': 'uint32',
                    'name': 'request_id',
                    'id': 1
                },
                {
                    'rule': 'required',
                    'type': 'ERegistrationStatus',
                    'name': 'registration_status',
                    'id': 2
                }
            ],
            'enums': [
                {
                    'name': 'ERegistrationStatus',
                    'values': [
                        {
                            'name': 'ERegistrationStatus_SUCCESS',
                            'id': 0
                        },
                        {
                            'name': 'ERegistrationStatus_REJECTED',
                            'id': 1
                        }
                    ]
                }
            ]
        },
        {
            'name': 'IMUnregisterExecutor',
            'fields': [
                {
                    'rule': 'repeated',
                    'type': 'uint32',
                    'name': 'object_types',
                    'id': 1
                },
                {
                    'rule': 'repeated',
                    'type': 'bytes',
                    'name': 'object_ids',
                    'id': 2
                }
            ]
        },
        {
            'name': 'IMExecutionRequest',
            'fields': [
                {
                    'rule': 'required',
                    'type': 'uint32',
                    'name': 'request_id',
                    'id': 1
                },
                {
                    'rule': 'repeated',
                    'type': 'operation_t',
                    'name': 'operations',
                    'id': 2
                }
            ]
        },
        {
            'name': 'IMExecutionResult',
            'fields': [
                {
                    'rule': 'required',
                    'type': 'uint32',
                    'name': 'request_id',
                    'id': 1
                },
                {
                    'rule': 'required',
                    'type': 'EExecutionStatus',
                    'name': 'execution_status',
                    'id': 2
                }
            ]
        },
        {
            'name': 'IMChangeSubscribe',
            'fields': []
        },
        {
            'name': 'IMChangeUnsubscribe',
            'fields': []
        },
        {
            'name': 'IMChangeNotification',
            'fields': [
                {
                    'rule': 'required',
                    'type': 'uint32',
                    'name': 'request_id',
                    'id': 1
                },
                {
                    'rule': 'required',
                    'type': 'uint32',
                    'name': 'requestor',
                    'id': 2
                },
                {
                    'rule': 'repeated',
                    'type': 'operation_t',
                    'name': 'operations',
                    'id': 3
                },
                {
                    'rule': 'required',
                    'type': 'EExecutionStatus',
                    'name': 'execution_status',
                    'id': 4
                },
                {
                    'rule': 'optional',
                    'type': 'EErrorCode',
                    'name': 'error_code',
                    'id': 5
                }
            ]
        }
    ],
    'enums': [
        {
            'name': 'EExecutionStatus',
            'values': [
                {
                    'name': 'EExecutionStatus_EXECUTED',
                    'id': 0
                },
                {
                    'name': 'EExecutionStatus_REJECTED',
                    'id': 1
                },
                {
                    'name': 'EExecutionStatus_FAILED',
                    'id': 2
                },
                {
                    'name': 'EExecutionStatus_NOTHING_TO_DO',
                    'id': 3
                },
                {
                    'name': 'EExecutionStatus_OUTDATED',
                    'id': 4
                },
                {
                    'name': 'EExecutionStatus_NOT_SUPPORTED',
                    'id': 5
                },
                {
                    'name': 'EExecutionStatus_NO_EXECUTOR_RESPONSE',
                    'id': 6
                }
            ]
        },
        {
            'name': 'EErrorCode',
            'values': [
                {
                    'name': 'EErrorCode_TIMEOUT',
                    'id': 0
                },
                {
                    'name': 'EErrorCode_OBJECT_DOES_NOT_EXIST',
                    'id': 1
                },
                {
                    'name': 'EErrorCode_OBJECT_ALREADY_EXISTS',
                    'id': 2
                },
                {
                    'name': 'EErrorCode_PARENT_OBJECT_DOES_NOT_EXIST',
                    'id': 3
                },
                {
                    'name': 'EErrorCode_EXECUTOR_DOES_NOT_EXIST',
                    'id': 4
                },
                {
                    'name': 'EErrorCode_EXECUTOR_ALREADY_EXISTS',
                    'id': 5
                }
            ]
        }
    ]
};
module.exports = definition;
