const noop = () => null;
const ENABLE_LOGS = process.env.ENABLE_LOGS !== 'false';

module.exports = {
    getLogger: getLogger,
    getRootLogger: getLogger,
    Level: () => {
        return {
            ALL: {},
            TRACE: {},
            DEBUG: {},
            INFO: {},
            WARN: {},
            ERROR: {},
            FATAL: {},
            OFF: {}
        };
    },
    getLogStorage: noop,
    newDbAppender: noop,
    newConsoleAppender: noop,
    configure: noop,
    enableLogUncaughtErrors: noop
};

function getLogger(name = 'default') {
    return {
        debug: loggerFor('debug'),
        info: loggerFor('info'),
        trace: loggerFor('trace'),
        error: loggerFor('error'),
        warn: loggerFor('warn')
    };

    function loggerFor(type) {
        return ENABLE_LOGS  ? ((msg) => { console.log(`${name} [${type}]: ${msg}`); }) : noop;
    }
}
