const ImTracker = require('../imTracker/imTracker');
module.exports = btsServiceAvailabilityChecker;

function btsServiceAvailabilityChecker(imTracker = ImTracker()) {
    const BTS_SERVICE_CLASSNAME = 'BTS_SERVICE',
        imListener = {
            onObjectAppeared: onObjectAppeared,
            onObjectRemoved: onObjectRemoved,
            onListenerRegistered: onListenerRegistered
        };
    var isBtsServicePresent = false;
    imTracker.trackByClassName(BTS_SERVICE_CLASSNAME, imListener);

    return {
        isBtsServicePresent: getBtsServiceStatus,
        //for test only
        onObjectAppeared: onObjectAppeared,
        onObjectRemoved: onObjectRemoved,
        onListenerRegistered: onListenerRegistered
    };

    function onObjectAppeared(event) {
        isBtsServicePresent = true;
    }

    function onObjectRemoved(event) {
        isBtsServicePresent = false;
    }

    function onListenerRegistered(event) {
        isBtsServicePresent = true;
    }

    function getBtsServiceStatus() {
        return isBtsServicePresent;
    }
}
