module.exports = Object.freeze({
    REQUESTED: 'Requested',
    ACCEPTED: 'Accepted',
    REJECTED: 'Rejected',
    ENQUEUED: 'Enqueued',
    COMPLETED: 'Completed',
    ABORTED: 'Aborted',
    FAILED: 'Failed',
    isFinal: function (status) {
        return status === this.REJECTED
            || status === this.COMPLETED
            || status === this.ABORTED
            || status === this.FAILED;
    },
    isRunning: function (status) {
        return status === this.REQUESTED
            || status === this.ACCEPTED
            || status === this.ENQUEUED;
    },
    isSucceeding: function (status) {
        return status === this.ACCEPTED
            || status === this.COMPLETED;
    },
    isFailing: function (status) {
        return status === this.REJECTED
            || status === this.FAILED
            || status === this.ABORTED;
    }
});
