module.exports = ChangeBlockingStateReq;

ChangeBlockingStateReq.prototype.hasDistName = hasDistName;
ChangeBlockingStateReq.prototype.setOperationStatus = setOperationStatus;
ChangeBlockingStateReq.prototype.isExecuting = isExecuting;
ChangeBlockingStateReq.prototype.isForOperation = isForOperation;
ChangeBlockingStateReq.prototype.isEqual = isEqual;

function ChangeBlockingStateReq(distName, parameters) {
    this.distName = distName;
    this.objectDN = parameters.objectDN;
    this.operationType = parameters.operationType;
    this.operationStatus = parameters.operationStatus;
}

function isEqual(object) {
    if (!object) return false;

    return this.objectDN === object.objectDN && this.operationType === object.operationType && this.distName === object.distName;
}

function isForOperation(operationType, objectDN) {
    return this.operationType === operationType && this.objectDN === objectDN;
}

function hasDistName(distName) {
    return this.distName === distName;
}

function setOperationStatus(operationStatus) {
    this.operationStatus = operationStatus;
}

function isExecuting() {
    return this.operationStatus !== 'Completed';
}
