const RESET_REQUEST_CLASS_NAME = 'RESET_REQ';
const SITE_DIST_NAME = '/MRBTS-1/RAT-1/BTS_L-1/LNBTS-1';

const REQUIRED_PARAMETERS = ['objectDN'];

module.exports = Object.freeze({newInstance, RESET_REQUEST_CLASS_NAME, SITE_DIST_NAME, REQUIRED_PARAMETERS});

function newInstance(distName, parameters) {
    const objectDN = parameters.objectDN;

    return {
        distName,
        objectDN,
        isEqual,
        hasDistName
    };

    function isEqual(object) {
        if (!object) return false;
        return hasDistName(object.distName) && objectDN === object.objectDN;
    }

    function hasDistName(givenDistName) {
        return distName === givenDistName;
    }
}
