function snapshotExecutor(operationsService) {

    const TECHREP_DISTNAME = '/MRBTS-1/RAT-1/BTS_L-1/FUNC_L-1/TECHREP_L-1';
    const BTS_SERVICE_DISTNAME = '/MRBTS-1/RAT-1/BTS_L-1/FUNC_L-1/BTS_SERVICE-1';

    return {
        startSnapshot: startSnapshot,
        deleteFile: deleteFile,
        cancel: cancel
    };

    function startSnapshot(coverage, id) {
        const snapshotRequestParameters = {
            clientId: id,
            coverage: coverage
        };
        return operationsService.executeOperation(['oper_collectSnapshot', 'collectSnapshot'], BTS_SERVICE_DISTNAME, snapshotRequestParameters);
    }

    function deleteFile(distName, failureReason) {
        return operationsService.executeOperation(['oper_deleteFile', 'deleteFile'], TECHREP_DISTNAME, {
            DIAGN_FILE_L_DN: distName,
            transferFailureReason: failureReason || ''
        });
    }

    function cancel() {
        return operationsService.executeOperation(['oper_cancel', 'cancel'], TECHREP_DISTNAME);
    }
}

module.exports = snapshotExecutor;
