const Zlib = require('zlibjs/bin/zip.min').Zlib;

function zipFactory(fileSaver) {
    return {
        newZip: newZip
    };

    function stringToUint8Array(string) {
        var array = string.split('').map(function (character) {
            return character.charCodeAt(0);
        });

        return new Uint8Array(array);
    }

    function newZip(name) {
        const zip = new Zlib.Zip();
        var zipName = name;

        return {
            addFile: addFile,
            saveZip: saveZip,
            setName: setName
        };

        function addFile(file, path) {
            try {
                zip.addFile(file, {
                    filename: stringToUint8Array(path)
                });
                return file.length;
            } catch (exception) {
                const zipError = new Error();
                zipError.type = 'Zip file error';
                zipError.path = path;
                zipError.error = exception;
                throw zipError;
            }
        }

        function saveZip() {
            const content = zip.compress();
            fileSaver.saveAs(content, zipName);
        }

        function setName(newName) {
            zipName = newName;
        }
    }
}

module.exports = zipFactory;
