module.exports = {
    resolve,
    //visible for testing
    resolveSessionType,
    resolveConnectionType
};

function resolve(sessionsList) {
    return sessionsList.getSessions().map((imiSession) => {
        return {
            userLogin: imiSession.getUserLogin(),
            profileName: imiSession.getProfileName(),
            clientVersion: imiSession.getClientVersion(),
            connectionType: resolveConnectionType(imiSession.getConnectionType()),
            sessionType: resolveSessionType(imiSession.getSessionType()),
            age: imiSession.getAge(),
            ip: imiSession.getIp(),
            sessionId: imiSession.getSessionId()
        };
    });
}
function resolveSessionType(sessionType) {
    if (!Number.isFinite(sessionType)) return '';
    switch (sessionType) {
        case 1:
            return 'Plain';
        case 2:
            return 'Info model';
        case 3:
            return 'Software update';
        default:
            return 'Unknown';
    }
}

function resolveConnectionType(connectionType) {
    if (!Number.isFinite(connectionType)) return '';
    switch (connectionType) {
        case 1:
            return 'TCP';
        case 2:
            return 'HTTP';
        case 3:
            return 'Websocket';
        default:
            return 'Unknown';
    }
}
