module.exports = { create };

const _ = require('lodash'),
    compatibilityService = require('../../utils/imCompatibilityService');

function create(imTree) {
    const lncelANodes = compatibilityService.findLncelANodes(imTree);

    const lcellDistNameToLncelANodeMap = new Map();
    const lcellDistNameToLncelNodeMap = new Map();
    const lcellADistNameToLncelANodeMap = new Map();

    const lcrIdToLcellADistNameMap = new Map();
    const lcrIdToLcellDistNameMap = new Map();

    _.each(lncelANodes, (lncelANode) => {
        const lcellADistName = lncelANode.getDecodedParameters().LCELL_DN;
        const lcellANode = imTree.findByDistName(lcellADistName);
        const lcellDistName = lcellANode.getDecodedParameters().realDN;
        const lcrId = lncelANode.getDecodedParameters().lcrId;

        lcellDistNameToLncelANodeMap.set(lcellDistName, lncelANode);
        lcellADistNameToLncelANodeMap.set(lcellADistName, lncelANode);

        lcrIdToLcellADistNameMap.set(lcrId, lcellADistName);
        lcrIdToLcellDistNameMap.set(lcrId, lcellDistName);
    });

    _.each(compatibilityService.findLncelNodes(imTree), (lncelNode) => {
        lcellDistNameToLncelNodeMap.set(lncelNode.getDecodedParameters().LCELL_DN, lncelNode);
    });

    return {
        lcellADistNameToLncelANodeMap: lcellADistNameToLncelANodeMap,
        lcellDistNameToLncelANodeMap: lcellDistNameToLncelANodeMap,
        lcrIdToLcellDistNameMap: lcrIdToLcellDistNameMap,
        lcrIdToLcellADistNameMap: lcrIdToLcellADistNameMap,
        lcellDistNameToLncelNodeMap: lcellDistNameToLncelNodeMap
    };
}

