module.exports = {
    create: findAlarms
};

const imCompatibilityService = require('../../utils/imCompatibilityService'),
    hardwareClasses = require('../../siteCommon/hardwareClassesService.js');

function findAlarms(imTree) {
    const lnbtsNode = imCompatibilityService.findLnbtsNode(imTree);
    const alarmNodes = lnbtsNode.findByClassName(hardwareClasses.ALARM);
    return alarmNodes.map((alarmNode) => {
        return {
            distName: alarmNode.distName,
            parameters: alarmNode.getDecodedParameters()
        };
    });
}

