module.exports = {
    create: createControllingRetLinks
};

const imCompatibilityService = require('../../utils/imCompatibilityService'),
    hardwareClasses = require('../../siteCommon/hardwareClassesService');

const LINK_TARGET_ENDING = '-RET';


function createControllingRetLinks(imTree) {
    const eqm = imCompatibilityService.findEqmLNode(imTree);
    const phyanats = eqm.findChildrenByClassName(hardwareClasses.MODULES.PHYANT);

    const controllingRetLinks = [];
    phyanats.forEach((phyant) => {
        const controllingRetDN = phyant.getDecodedParameters().controllingRetDN;
        if (controllingRetDN)
            controllingRetLinks.push({
                source: {
                    distName: controllingRetDN
                },
                target: {
                    distName: phyant.distName + LINK_TARGET_ENDING
                }
            });

    });

    return {
        controllingRetLinks: controllingRetLinks
    };
}


