module.exports = { create: createLnmmes };

const imCompatibilityService = require('../../utils/imCompatibilityService'),
    hardwareClasses = require('../../siteCommon/hardwareClassesService');

const MME_NAME_BEGINNING = 'MME-';

function createLnmmes(imTree) {
    const lnbts = imCompatibilityService.findLnbtsNode(imTree);
    const nodes = lnbts.findByClassName(hardwareClasses.LNMME) || [];
    return {lnmmes: nodes.map(createLnmmeModule)};
}

function createLnmmeModule(moduleNode) {
    const decodedParameters = moduleNode.getDecodedParameters();
    return {
        distName: moduleNode.distName,
        className: moduleNode.className,
        name: MME_NAME_BEGINNING + moduleNode.id,
        number: moduleNode.id,
        stateInfo: decodedParameters.stateInfo,
        primaryIp: imCompatibilityService.getLnmmePrimaryIpAddress(decodedParameters),
        secondaryIp: imCompatibilityService.getLnmmeSecondaryIpAddress(decodedParameters),
        s1LinkStatus: decodedParameters.s1LinkStatus,
        alarms: []
    };
}

