module.exports = {
    create: createConcentrators
};

const hardwareClasses = require('../../siteCommon/hardwareClassesService');


function createConcentrators(containerNode) {
    return containerNode
        .findChildrenByClassName(hardwareClasses.CONCENTRATOR)
        .map(createConcentratorForNode);
}

function createConcentratorForNode(concentratorNode) {
    const parameters = concentratorNode.getDecodedParameters();
    return {
        distName: concentratorNode.distName,
        number: concentratorNode.id,
        type: parameters.concentratorType,
        side: parameters.positionInRack,
        slot: parameters.slotNr,
        stateInfo: parameters.stateInfo,
        alarms: []
    };
}
