module.exports = CountingInputStream;

function CountingInputStream(dataStream) {
    this.size = 0;
    this.dataStream = dataStream;
}

CountingInputStream.prototype.read = function () {
    var ret = this.dataStream.read();
    if (ret != -1 && this.size >= 0) {
        ++this.size;
    }
    return ret;
};

CountingInputStream.prototype.readNTo = function (b, off, len) {
    var ret = this.dataStream.readNTo(b, off, len);
    if (ret > 0 && this.size >= 0)
        this.size += ret;
    return ret;
};

CountingInputStream.prototype.getSize = function () {
    return this.size;
};
