module.exports = DataInputStream;

function DataInputStream(inputStream, len) {
    this.inputStream = inputStream;
    this.len = len;
}

DataInputStream.prototype.available = function () {
    return this.inputStream.available();
};

DataInputStream.prototype.read = function () {
    return this.inputStream.read();
};

DataInputStream.prototype.readN = function (n) {
    return this.inputStream.readN(n);
};

DataInputStream.prototype.readNTo = function (b, off, len) {
    return this.inputStream.readNTo(b, off, len);
};

DataInputStream.prototype.readUByte = function () {
    return this.inputStream.read() & 0xff;
};

DataInputStream.prototype.readUShort = function () {
    var byte1 = this.inputStream.read(),
        byte2 = this.inputStream.read();

    return new DataView(new Int8Array([byte1, byte2]).buffer).getUint16(0);
};

DataInputStream.prototype.readInt = function () {
    var byte1 = this.inputStream.read(),
        byte2 = this.inputStream.read(),
        byte3 = this.inputStream.read(),
        byte4 = this.inputStream.read();

    return new DataView(new Int8Array([byte1, byte2, byte3, byte4]).buffer).getInt32(0);
};
