const IndexBase = require('./indexBase');
const DecoderUtil = require('./decoderUtil');
const DataInputStream = require('./dataInputStream');

module.exports = IndexHash;

function IndexHash() {
    IndexBase.call(this);

    // TODO create hash object - see IndexHash.java:29 (xz-java.zip in resources)
}

IndexHash.prototype = Object.create(IndexBase.prototype);
IndexHash.prototype.constructor = IndexHash;

IndexHash.prototype.add = function (unpaddedSize, uncompressedSize) {
    IndexBase.prototype.add.call(this, unpaddedSize, uncompressedSize);

    // TODO update hash object
};

IndexHash.prototype.validate = function (inputStream) {
    // TODO modified method only to skip correct number of bytes
    // TODO see IndexHash.java:45 (xz-java.zip in resources)

    var storedRecordCount = DecoderUtil.decodeVLI(inputStream);
    if (storedRecordCount != this.recordCount)
        throw 'CorruptedInputException';

    var stored = new IndexHash();
    for (var i = 0; i < this.recordCount; ++i) {
        var unpaddedSize = DecoderUtil.decodeVLI(inputStream);
        var uncompressedSize = DecoderUtil.decodeVLI(inputStream);

        try {
            stored.add(unpaddedSize, uncompressedSize);
        } catch (e) {
            throw 'XZ Index is corrupt';
        }

        if (stored.blocksSum > this.blocksSum
            || stored.uncompressedSum > this.uncompressedSum
            || stored.indexListSize > this.indexListSize)
            throw 'XZ Index is corrupt';
    }

    // TODO validate hashes

    var inData = new DataInputStream(inputStream);
    for (var i = this.getIndexPaddingSize(); i > 0; --i) {
        var i1 = inData.readUByte();
        if (i1 != 0x00)
            throw 'XZ Index is corrupt';
    }

    // TODO validate crc32, now this only skips bytes
    for (var i = 0; i < 4; ++i) {
        var i1 = inData.readUByte();
    }
};
