module.exports = InputStream;

function InputStream(arrayBuffer) {
    this.offset = 0;
    this.input = new DataView(arrayBuffer);
    this.count = arrayBuffer.length || arrayBuffer.byteLength;
}

InputStream.prototype.available = function () {
    return this.count - this.offset;
};

InputStream.prototype.read = function () {
    try {
        return this.input.getUint8(this.offset++);
    } catch (RangeError) {
        return -1;
    }
};

InputStream.prototype.readN = function (n) {
    var bytes = [];
    try {
        for (var i = 0; i < n; ++i) {
            bytes.push(this.input.getInt8(this.offset++));
        }
    } catch (RangeError) {
        return -1;
    }
    return bytes;
};

InputStream.prototype.readNTo = function (b, off, len) {
    var cnt = 0;
    try {
        for (var i = off; i < off + len; ++i) {
            b[i] = this.input.getInt8(this.offset++);
            ++cnt;
        }
    } catch (RangeError) {
        return -1;
    }
    return cnt;
};

InputStream.prototype.getReadBytesCount = function () {
    return this.offset;
};

InputStream.prototype.getTotalBytesCount = function () {
    return this.count;
};
