const LZMA2InputStream = require('./lzma2InputStream');

module.exports = {
    FILTER_ID: 0x21,
    createDecoder: function (filterProps) {
        function LZMA2Decoder(filterProps) {
            if (filterProps.length != 1 || (filterProps[0] & 0xFF) > 37)
                throw 'Unsupported LZMA2 properties';

            this.dictSize = 2 | (filterProps[0] & 1);
            this.dictSize <<= (filterProps[0] >>> 1) + 11;
        }

        LZMA2Decoder.prototype.getMemoryUsage = function () {
            return LZMA2InputStream.getMemoryUsage(this.dictSize);
        };

        LZMA2Decoder.prototype.getInputStream = function (countingInputStream) {
            return new LZMA2InputStream(countingInputStream, this.dictSize);
        };

        return new LZMA2Decoder(filterProps);
    }
};
