module.exports = State;

function State(other) {
    this.STATES = 12;

    this.LIT_STATES = 7;

    this.LIT_LIT = 0;
    this.MATCH_LIT_LIT = 1;
    this.REP_LIT_LIT = 2;
    this.SHORTREP_LIT_LIT = 3;
    this.MATCH_LIT = 4;
    this.REP_LIT = 5;
    this.SHORTREP_LIT = 6;
    this.LIT_MATCH = 7;
    this.LIT_LONGREP = 8;
    this.LIT_SHORTREP = 9;
    this.NONLIT_MATCH = 10;
    this.NONLIT_REP = 11;

    this.state = null;
    if (other)
        this.state = other;
}

State.prototype.reset = function() {
    this.state = this.LIT_LIT;
};

State.prototype.get = function() {
    return this.state;
};

State.prototype.set = function(other) {
    this.state = other.state;
};

State.prototype.updateLiteral = function() {
    if (this.state <= this.SHORTREP_LIT_LIT)
        this.state = this.LIT_LIT;
    else if (this.state <= this.LIT_SHORTREP)
        this.state -= 3;
    else
        this.state -= 6;
};

State.prototype.updateMatch = function() {
    this.state = this.state < this.LIT_STATES ? this.LIT_MATCH : this.NONLIT_MATCH;
};

State.prototype.updateLongRep = function() {
    this.state = this.state < this.LIT_STATES ? this.LIT_LONGREP : this.NONLIT_REP;
};

State.prototype.updateShortRep = function() {
    this.state = this.state < this.LIT_STATES ? this.LIT_SHORTREP : this.NONLIT_REP;
};

State.prototype.isLiteral = function() {
    return this.state < this.LIT_STATES;
};
