module.exports = {
    createConnectionInitializerMock,
    createProcedureExecutorMock,
    createBtsServiceProcedureMock,
    noop,
    failAssert
};

function createConnectionInitializerMock() {
    const prepareStub = sinon.stub();
    const checkIfDnExistsSpy = sinon.spy(() => {
        return {
            prepare: prepareStub
        };
    });
    const connectToBtsSpy = sinon.spy(() => {
        return {
            checkIfDnExists: checkIfDnExistsSpy,
            prepare: prepareStub
        };
    });
    return {
        prepare: prepareStub,
        checkIfDnExists: checkIfDnExistsSpy,
        connectToBts: connectToBtsSpy
    };
}

function createProcedureExecutorMock() {
    return {
        executeBlock: sinon.spy(),
        executeUnblock: sinon.spy(),
        executeReset: sinon.spy(),
        executeResetToTestDedicated: sinon.spy(),
        executeConfigurationReset: sinon.spy(),
        executeChangeEthernetPortSecurity: sinon.spy(),
        executeSwRollback: sinon.spy()
    };
}

function createBtsServiceProcedureMock() {
    return {
        registerListener: sinon.spy(),
        removeListener: sinon.spy()
    };
}

function noop() {
}

function failAssert() {
    assert.isTrue(false);
}
