describe('ADMIN API: intervalNotifier', function () {
    var intervalNotifier;
    beforeEach(function() {
        intervalNotifier = require('../../src/adminApi/intervalNotifier');
    });

    it('should start and stop notifier - not notifying at all', function () {
        // given
        var count = 0;
        // when
        intervalNotifier.start(function () {
            ++count;
        }, 100);
        intervalNotifier.stop();
        // then
        assert.equal(count, 0);
    });

    it('should start and stop notifier - notify once', function (done) {
        // given
        var count = 0;
        const TIME = 10;
        // when
        intervalNotifier.start(function () {
            ++count;
        }, TIME);
        setTimeout(function () {
            intervalNotifier.stop();
            // then
            assert.equal(count, 1);
            done();
        }, TIME + 1);
    });

    it('should restart notifier', function (done) {
        // given
        var count = 0;
        const TIME = 10;
        // when
        intervalNotifier.start(function () {
            ++count;
        }, TIME);
        setTimeout(function () {
            intervalNotifier.restart();

            setTimeout(function () {
                intervalNotifier.restart();
                // then
                assert.equal(count, 0);
                done();
            }, TIME / 2);
        }, TIME / 2);
    });
});
