describe('sha1CheckSumService', function () {
    var checkSumService;
    var fileData;
    var file;
    var expectedCheckSumBytes;
    var expectedCheckSum;

    beforeEach(function () {
        checkSumService = fileTransfer.sha1CheckSum;
        fileData = [0, 10, 30, 115, 111, 109, 101, 2, 0]
        file = new Uint8Array(fileData);
        expectedCheckSumBytes = [64, 37, 244, 77, 163, 222, 214, 160, 37, 91, 163, 4, 13, 49, 33, 207, 68, 248, 77, 27];
        expectedCheckSum = new Uint8Array(expectedCheckSumBytes);
    });


    describe('isCheckSumCorrect', function () {

        it('should return true for correct checksum', function () {
            assert.ok(checkSumService.isCheckSumCorrect(file, expectedCheckSum));
        });

        it('should return false for incorrect checksum', function () {
            var expectedCheckSumBytes = [64, 37, 244, 77, 163, 222, 214, 160, 37, 91, 163, 4, 13, 49, 33, 207, 68, 248, 77, 21];
            var expectedCheckSum = new Uint8Array(expectedCheckSumBytes);

            assert.notOk(checkSumService.isCheckSumCorrect(file, expectedCheckSum));
        });
    });

    describe('calculateCheckSum', function () {

        it('should calculate correct checkSum for Uint8Array', function () {
            assert.deepEqual(checkSumService.calculateCheckSum(file), expectedCheckSum);
        });
    });
});
