
describe('pmCountersTracker', () => {
    const imTracker = {
        trackByClassName: function () {}
    };
    const onlineImTree = {
        getImTree: function () {}
    };
    const pmJSON = [
        {
            '@startTime': '2016-07-22T13:00:00.000+00:00:00',
            'PMMOResult': [{
                'NE-WBTS_1.0': {
                    '@measurementType': 'LTE_S1AP',
                    'M8000C6': '0',
                    'M8000C7': '0'
                }
            }]
        }
    ];
    const finalJSON = {
        'values': {
            'LTE_S1AP': {
                'M8000C6': {
                    '2016-07-22T13:00:00.000+00:00:00': '0'
                },
                'M8000C7': {
                    '2016-07-22T13:00:00.000+00:00:00': '0'
                }
            }
        },
        'startTimes': ['2016-07-22T13:00:00.000+00:00:00']
    };
    const pmSnapshot = {
        downloadCompressed: function () {
            return new Promise(resolve => {
                resolve(pmJSON);
            });
        },
        formatPmCounters: function () {
            return finalJSON;
        }
    };
    const pmCountersTracker = adminCore.measurements.pmSnapshot.pmCountersTracker({
        pmSnapshot,
        imTracker,
        onlineImTree
    });

    it('should call dedicated method after pmCounters files were downloaded and formatted', (done) => {
        const checkJsonValue = sinon.spy();
        const unwatcher = pmCountersTracker.watch(checkJsonValue);
        pmCountersTracker.downloadPmSnapshot()
            .then(() => {
                sinon.assert.calledWith(checkJsonValue, finalJSON);
            })
            .then(done)
            .catch(done);
    });
});
