
const assert = require('chai').assert;

const btsServiceAvailabilityChecker = require('../../src/procedures/btsServiceAvailabilityChecker.js');

describe('Service: btsServiceAvailabilityChecker', () => {
    'use strict';

    var btsServiceAvailabilityCheckerInstance = null;

    beforeEach(() => {
        btsServiceAvailabilityCheckerInstance = btsServiceAvailabilityChecker();
    });

    afterEach(() => {
        btsServiceAvailabilityCheckerInstance = null;
    });

    describe('isBtsServiceAvailable', () => {

        it('should return true when BTS_SERVICE object is registred in infoModel', () => {
            //when
            btsServiceAvailabilityCheckerInstance.onListenerRegistered();
            //then
            assert.isTrue(btsServiceAvailabilityCheckerInstance.isBtsServicePresent());
        });

        it('should return true when BTS_SERVICE object appears in infoModel', () => {
            //when
            btsServiceAvailabilityCheckerInstance.onObjectAppeared();
            //then
            assert.isTrue(btsServiceAvailabilityCheckerInstance.isBtsServicePresent());
        });

        it('should return false when BTS_SERVICE object appears and then is removed from infoModel', () => {
            //when
            btsServiceAvailabilityCheckerInstance.onObjectAppeared();
            btsServiceAvailabilityCheckerInstance.onObjectRemoved();
            //then
            assert.isFalse(btsServiceAvailabilityCheckerInstance.isBtsServicePresent());
        });
    });

});
