const assert = require('assert');
const Unzip = require('zlibjs/bin/unzip.min').Zlib.Unzip;

const targetbdParser = require('../../../../src/procedures/swUpdate/openSoftwareZip/targetbdParser');
const util = require('../../../test.util');

const ZIP_FILE = 'base/resources/zip/swUpdate.zip';

describe('Factory: targetbdParser', function () {
    const TARGET_BD_NAME = 'TargetBD_FL16_FSM3_TEST.xml',
        BUILD_DESCRIPTOR_ID = 'FL16_FSM3_TEST',
        SOFTWARE_RELEASE_DATE = '01/09/2015',
        SOFTWARE_RELEASE_VERSION = 'FL16_FSM3_TEST';

    var unzip;
    var targetbdParserInstace;

    before(function (done) {
        util.loadBuffer(ZIP_FILE).then((buffer) => {
            unzip = new Unzip(new Uint8Array(buffer));
            done();
        });
    });

    beforeEach(function () {
        targetbdParserInstace = targetbdParser.newInstance(unzip);
    });

    it('should create instance of targetbdParser', function () {
        assert.ok(targetbdParserInstace);
    });

    it('should creat parser with correct parameters', function () {
        const targetBd = targetbdParserInstace.getTargetBd();
        assert.equal(targetBd.name, TARGET_BD_NAME);
        assert.equal(targetBd.properties.buildDescriptorId, BUILD_DESCRIPTOR_ID);
        assert.equal(targetBd.properties.softwareReleaseDate, SOFTWARE_RELEASE_DATE);
        assert.equal(targetBd.properties.softwareReleaseVersion, SOFTWARE_RELEASE_VERSION);
    });

});
