describe('sessionResolver', () => {
    const sessionResolver = require('../../src/sessions/sessionsResolver');

    describe('#resolveSessionType', () => {
        it('should return empty string for not number arguments', () => {
            assert.equal(sessionResolver.resolveSessionType(), '');
            assert.equal(sessionResolver.resolveSessionType(null), '');
            assert.equal(sessionResolver.resolveSessionType(NaN), '');
            assert.equal(sessionResolver.resolveSessionType('0'), '');
        });

        it('should return path to unknown for not supported value', () => {
            assert.equal(sessionResolver.resolveSessionType(0), 'Unknown');
            assert.equal(sessionResolver.resolveSessionType(4), 'Unknown');
        });

        it('should return \'Plain\' for 1', () => {
            assert.equal(sessionResolver.resolveSessionType(1), 'Plain');
        });

        it('should return \'Info model\' for 2',() => {
            assert.equal(sessionResolver.resolveSessionType(2), 'Info model');
        });

        it('should return \'Software update\' for 3', () => {
            assert.equal(sessionResolver.resolveSessionType(3), 'Software update');
        });
    });

    describe('#resolveConnectionType',() => {
        it('should return empty string for not number arguments', () => {
            assert.equal(sessionResolver.resolveConnectionType(), '');
            assert.equal(sessionResolver.resolveConnectionType(null), '');
            assert.equal(sessionResolver.resolveConnectionType(NaN), '');
            assert.equal(sessionResolver.resolveConnectionType('0'), '');
        });

        it('should return path to unknown for not supported value', () => {
            assert.equal(sessionResolver.resolveConnectionType(0), 'Unknown');
            assert.equal(sessionResolver.resolveConnectionType(4), 'Unknown');
        });

        it('should return \'TCP\' for 1',() => {
            assert.equal(sessionResolver.resolveConnectionType(1), 'TCP');
        });

        it('should return \'HTTP\' for 2', () => {
            assert.equal(sessionResolver.resolveConnectionType(2), 'HTTP');
        });

        it('should return \'Websocket\' for 3', () => {
            assert.equal(sessionResolver.resolveConnectionType(3), 'Websocket');
        });
    });
});
