const sessionsServiceFactory = require('../../src/sessions/sessionsService');

describe('sessionsService', () => {
    let sessionsService;
    const btsServiceMock = {
        sendSessionsListRequest: sinon.spy(),
        addListener: sinon.spy(),
        removeListener: sinon.spy()
    };
    beforeEach(() => {
        sessionsService = sessionsServiceFactory.newInstance(btsServiceMock);
    });

    describe('#requestNewList', () => {
        it('should send request while requestingNewList', (done) => {
            sessionsService.requestNewList(10)
                .then(() => {
                    assert(false);
                    done(false);
                })
                .catch(() => {
                    assert(btsServiceMock.sendSessionsListRequest.called);
                    done();
                });
        });
        it('should register to btsClient on first watch', () => {
            sessionsService.watch(() => null);
            assert(btsServiceMock.addListener.called);
        });

        it('should remove listener after only watch was removed', () => {
            sessionsService.watch(() => null).unwatch();
            assert(btsServiceMock.removeListener.called);
        });
    });
});
