describe('integer bitmap v1', function () {
    var meta;

    beforeEach(function () {
        meta = {p: []};
        meta.p.push({
            "simpleType": {
                "@base": "integer",
                "bit": [
                    {"@number": "0", "@text": "eNB Status Report"},
                    {"@number": "1", "@text": "UE Status Report"}
                ]
            }
        });
    });

    it('should return true when integer is a bitmap', function () {
        assert.isTrue(firstParameter().isInteger());
        assert.isTrue(firstParameter().isBitmap());
    });

    it('should return bitmap', function () {
        var bitmap = firstParameter().getBitmap();
        assert.strictEqual(bitmap[0], "eNB Status Report");
        assert.strictEqual(bitmap[1], "UE Status Report");
    });


    it('should return bitmap with one value', function () {
        meta.p = {
            "simpleType": {
                "@base": "integer",
                "bit": {"@number": "0", "@text": "eNB Status Report"}
            }
        };

        var bitmap = firstParameter().getBitmap();
        assert.strictEqual(bitmap[0], "eNB Status Report");
    });

    function create(metaDefinition) {
        return infoModel.typeInfo(metaDefinition);
    }

    function firstParameter() {
        return create(meta).getParameters()[0];
    }

});
