describe('create empty parameters v1', function () {
    var meta;

    beforeEach(function () {
        meta = {p: []};
    });

    it('should create empty simple', function () {
        meta.p.push({
            "@name": "any name",
            "simpleType": {"@base": "integer"}
        });
        assert.deepEqual(createEmptyParameters(meta), {
            "any name": null
        });
    });

    it('should create empty simple array', function () {
        meta.p.push({
            "@name": "any name",
            "@maxOccurs": "2",
            "simpleType": {"@base": "integer"}
        });
        assert.deepEqual(createEmptyParameters(meta), {
            "any name": []
        });
    });

    it('should create empty complex', function () {
        meta.p.push({
            "@name": "complex",
            "complexType": {
                "p": [
                    {
                        "@name": "simple1",
                        "simpleType": {"@base": "integer"}
                    },
                    {
                        "@name": "simple2",
                        "simpleType": {"@base": "integer"}
                    }
                ]
            }
        });
        assert.deepEqual(createEmptyParameters(meta), {
            "complex": {
                "simple1": null,
                "simple2": null
            }
        });
    });

    it('should create empty complex array', function () {
        meta.p.push({
            "@name": "complexArrayInnerTwo",
            "@maxOccurs": "2",
            "complexType": {
                "p": [
                    {
                        "@name": "integer1",
                        "@maxOccurs": "1",
                        "simpleType": {
                            "@base": "integer"
                        }
                    },
                    {
                        "@name": "integer2",
                        "@maxOccurs": "1",
                        "simpleType": {
                            "@base": "integer"
                        }
                    }
                ]
            }
        });
        assert.deepEqual(createEmptyParameters(meta), {"complexArrayInnerTwo": []});
    });

    function createEmptyParameters(metaDefinition) {
        return infoModel.typeInfo(metaDefinition).createEmptyParameters();
    }

});
