describe('get default value v1', function () {

    var meta;

    beforeEach(function () {
        meta = {p: []};
    });

    it('should get string value', function () {
        meta.p.push({
            "simpleType": {
                "@base": "string",
                "default": {
                    "@value": "UNDEFINED"
                }
            }
        });

        assert.strictEqual(firstParameter().getDefaultValue(), "UNDEFINED");
    });

    it('should get integer value', function () {
        meta.p.push({
            "simpleType": {
                "@base": "integer",
                "editing": {
                    "default": {
                        "@value": "100"
                    }
                }
            }
        });

        assert.strictEqual(firstParameter().getDefaultValue(), 100);
    });

    it('should get decimal value', function () {
        meta.p.push({
            "simpleType": {
                "@base": "decimal",
                "editing": {
                    "default": {
                        "@value": "100"
                    }
                }
            }
        });

        assert.strictEqual(firstParameter().getDefaultValue(), 100);
    });

    it('should get true boolean value', function () {
        meta.p.push({
            "simpleType": {
                "@base": "boolean",
                "default": {
                    "@value": "true"
                }
            }
        });

        assert.isTrue(firstParameter().getDefaultValue());
    });

    it('should get false boolean value', function () {
        meta.p.push({
            "simpleType": {
                "@base": "boolean",
                "default": {
                    "@value": "false"
                }
            }
        });

        assert.isFalse(firstParameter().getDefaultValue());
    });

    it('should get enum value', function () {
        meta.p.push({
            "simpleType": {
                "@base": "integer",
                "enumeration": [
                    {
                        "@value": "0",
                        "@text": "SnapshotFailed"
                    }
                ],
                "default": {"@value": "0"}
            }
        });

        assert.strictEqual(firstParameter().getDefaultValue(), 0);
    });

    function create(metaDefinition) {
        return infoModel.typeInfo(metaDefinition);
    }

    function firstParameter() {
        return create(meta).getParameters()[0];
    }

});
