describe('get operations type info v1', function () {

    var typeInfo;
    var meta;

    beforeEach(function () {
        meta = {p: []};
    });

    it('should return [] when operations not exist', function () {
        typeInfo = create({"p": null});
        assert.deepEqual(typeInfo.getOperations(), []);
    });

    it('should return name', function () {
        meta.p.push({"@name": "oper_ownership"});
        assert.strictEqual(firstOperation().getName(), "oper_ownership");
    });

    it('should return true if is operation', function () {
        meta.p.push({"@name": "oper_ownership"});
        assert.isTrue(firstOperation().isOperation());
    });

    function create(metaDefinition) {
        return infoModel.typeInfo(metaDefinition);
    }

    function firstOperation() {
        return create(meta).getOperations()[0];
    }

});
