describe('typeInfo v1', function () {
    var meta;

    it('return units inside editing', function () {
        meta = {p: []};
        var simpleType = {
            "editing": {
                "@units": "MB/s"
            }
        };
        meta.p.push({"simpleType": simpleType});

        var typeInfo = firstParameter();

        assert.strictEqual(typeInfo.getUnits(), "MB/s");
    });

    it('return undefined when units is not present inside editing', function () {
        meta = {p: []};
        var simpleType = {
            "editing": {}
        };
        meta.p.push({"simpleType": simpleType});

        var typeInfo = firstParameter();

        assert.isUndefined(typeInfo.getUnits());
    });

    it('return undefined when editing is not present inside simpleType', function () {
        meta = {p: []};
        var simpleType = {};
        meta.p.push({"simpleType": simpleType});

        var typeInfo = firstParameter();

        assert.isUndefined(typeInfo.getUnits());
    });

    it('return undefined when simpleType is not present', function () {
        meta = {p: []};
        var complexType = {};
        meta.p.push({"complexType": complexType});

        var typeInfo = firstParameter();

        assert.isUndefined(typeInfo.getUnits());
    });

    function create(metaDefinition) {
        return infoModel.typeInfo(metaDefinition);
    }

    function firstParameter() {
        return create(meta).getParameters()[0];
    }
});
