var path = require('path');
var webpack = require('webpack');

module.exports = {
    cache: true,
    entry: __dirname + '/index.js',
    output: {
        path: __dirname + '/dist',
        filename: 'bundle.js'
    },
    module: {
        loaders: [
            {
                test: /\.js$/,
                include: [__dirname + '/src'],
                loader: 'babel?presets[]=es2015!imports?this=>window'
            }
        ]
    },
    resolve: {
        alias: {
            Long: 'long',
            ByteBuffer: 'bytebuffer'
        }
    },
    plugins: [
        new webpack.HotModuleReplacementPlugin(),
        new webpack.ProvidePlugin({
            _: 'lodash'
        }),
        new webpack.NoErrorsPlugin()
    ],
    stats: {
        colors: true
    },
    devtool: 'source-map'
};
